KDE 4.9 PyKDE API Reference

- KDE's Python API

# UnlinkJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that unlinks items inside the Akonadi storage.

This job allows you to remove references to a set of items in a virtual collection.

Example:

     // Unlink the given items from the given collection
     const Akonadi.Collection virtualCollection = ...
     const Akonadi.Item.List items = ...

     Akonadi.UnlinkJob *job = new Akonadi.UnlinkJob( virtualCollection, items );
     connect( job, SIGNAL( result( KJob* ) ), SLOT( jobFinished( KJob* ) ) );

     ...

     MyClass.jobFinished( KJob *job )
     {
       if ( job->error() )
         qDebug() << "Error occurred";
       else
         qDebug() << "Unlinked items successfully";
     }

Author:
  Volker Krause <vkrause@kde.org>

Since:
  4.2

See also:
  LinkJob

## Methods

| __init__ (self, Akonadi.Collection collection, [Akonadi.Item] items, QObject parent=0)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Collection | collection,
|  | [Akonadi.Item] | items,
|  | QObject | parent=0
| ) |  |  |

Creates a new unlink job.

The job will remove references to the given items from the given collection.

Parameters:

  | collection | The collection from which the references should be removed.
  | items | The items of which the references should be removed.
  | parent | The parent object.

doStart | ( |  | self ) |